package aalg.crypto;

/**
 * Base implementation of hash function.
 * @author Ing. Petr Ležák
 */
public abstract class HashFunctionImpl implements IHashFunction {
	@Override
	public byte[] calculateHash (final byte[] message) {
		initialize();
		update (message, 0, message.length);
		
		return finish();
	}
}
